Bug 122961 - Full screen keeps input on dual head display
Summary: Full screen keeps input on dual head display
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vnc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-10 18:47 UTC by Brian G. Anderson
Modified: 2013-04-30 23:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 10:06:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian G. Anderson 2004-05-10 18:47:21 UTC
Description of problem:
I have a dual head X with "seperate desktops" meaning each screen has
its own panel, icons etc.  In normal operation I can move the mouse
between the two screens.

When I go to fill screen mode in VNC, I can move the mouse over to the
sceen without the VNC viewer, but the input is fixed with VNC.


Version-Release number of selected component (if applicable):
vnc-4.0-1.beta4.11

How reproducible:
always


Steps to Reproduce:
1. set up a dual head X with seperate desktops
2. open vnc on one of the desktops and put it in full screen mode
3.
  
Actual results:
moveing the mouse to the desktop without VNC doesn't release the input
from VNC.


Expected results:
When the mouse move to the second desktop the input should be moved
off of VNC.


Additional info:

Comment 1 Tim Waugh 2004-05-13 12:15:00 UTC
To clarify: do you mean that when the mouse is on the non-VNC screen,
keys that you type are caught only by VNC?

Comment 2 Brian G. Anderson 2004-05-14 18:48:22 UTC
Right. So for an explicit example.  On the non-VNC screen I have
mozilla  and a terminal open.  I am doing work in the VNC screen and
then I move over to the non-VNC screen:

* in mozilla I can select from menus, use all the buttons, I can even
highlight text.  However any typing will appear in the last window I
used on the VNC screen.

* in terminal I can clikc on a menu, but the menu doesn't appear.  I
cannot select text.  Any typing will appear in the last window I used
on the VNC screen.

Comment 3 Adam Tkac 2006-10-25 10:45:53 UTC
please, could you try to reproduce this bug with latest version of vnc?? thank you

Comment 4 Brian G. Anderson 2006-10-25 16:44:22 UTC
Sorry, I don't have this setup anymore.  


Note You need to log in before you can comment on or make changes to this bug.